## libxcrypt 2.4

=== debian/changelog ===
libxcrypt (1:2.4-4) unstable; urgency=medium

  * QA upload.
  * Switch to debehelper compatibility level 9. (Closes: #817562)
  * Bump to Standards-Version 3.9.8.
  * Switch to source format 3.0 (quilt), remove ad-hoc quilt handling.
  * Use binary:Version substvar instead of deprecated Source-Version.
  * Add misc:Depends to Depends fields.
  * Add build-arch and build-indep targets in debian/rules.
  * Use dpkg makefile fragments instead of ad-hoc code in debian/rules.
  * Set --host and/or --build depending on whether we are cross-building.
  * Switch watch file to version 3.
  * Pass CPPFLAGS and LDFLAGS to configure.
  * Enable bindnow hardening build options.
  * Use an intermediate variable to store $(CURDIR)/debian/tmp.
  * Remove commented out code and example boilerplate from packaging.
  * Let dh_strip do the job and stop setting INSTALL_PROGRAM.
  * Remove libtool .la files.
  * Remove packaging history from debian/copyright.
  * Remove unused doc-base template file.
  * Use new autoconf macros in configure.in, and use AM_CPPFLAGS instead
    of INCLUDES in src/Makefile.am.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jul 2016 01:36:39 +0200

libxcrypt (1:2.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (closes: #727448)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 20:38:32 +0800

libxcrypt (1:2.4-3) unstable; urgency=low

  * QA upload (see #679703).  Skipping 1:2.4-2 to avoid archive filename
    conflicts with prior 2.4-2 upload.
  * FTBFS fix: Change __libc_lock to use pthread_mutex interfaces, as
    __libc_lock is deprecated.  Patch courtesy of Chris J Arges.
    (Closes: #697714)

 -- Nicholas Breen <nbreen@debian.org>  Fri, 11 Jan 2013 14:16:32 -0800

libxcrypt (1:2.4-1.1) unstable; urgency=low

  * Non-Maintainer Upload to fix RC security bug
  * Added patch (casting to unsigned) in order to prevent weak password
    hashes.See http://security-tracker.debian.org/tracker/CVE-2011-2483
    (closes: #679628)
  * debian/rules: #commented out two cp commands to preserve the config.guess
    and config.sub versions already in 1:2.4-1.

 -- Kai Lüke <kailueke@riseup.net>  Mon, 17 Sep 2012 03:52:06 +0200

libxcrypt (1:2.4-1) unstable; urgency=low

  * Alas, we have to use an epoch to revert from 3.0 to 2.4 for now.
  * Build failures in 3.0 are irrelevant now, we'll deal with them when we
    give 3.0 another shot.  (Closes: Bug#489840)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 29 Jul 2008 19:12:51 -0700

libxcrypt (3.0-2) unstable; urgency=low

  * Force --with-pic in configure.

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 22 Jun 2008 14:36:32 -0700

libxcrypt (3.0-1) unstable; urgency=low

  * New upstream version, new soname, binary package is now libxcrypt2.
    Force libdir to /lib not /lib64.

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 22 Jun 2008 13:54:24 -0700

libxcrypt (2.4-2) unstable; urgency=low

  * Update watch file (closes: Bug#450033)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 07 Nov 2007 13:31:18 -0800

libxcrypt (2.4-1) unstable; urgency=low

  * New upstream version.

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 11 Jun 2007 18:19:01 -0700

libxcrypt (2.3-1) unstable; urgency=low

  * New upstream version.

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 24 Sep 2005 18:14:17 -0700

libxcrypt (2.2-1) unstable; urgency=low

  * Initial Release (closes: Bug#237855).

 -- Ivan Kohler <ivan-debian@420.am>  Sat,  7 Aug 2004 22:12:08 -0700
