=== debian/control ===
Source: libxcrypt
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.8

Package: libxcrypt-dev
Section: libdevel
Architecture: any
Depends: libxcrypt1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for Crypt library
 libxcrypt is a replacement for libcrypt, which comes with the GNU C
 Library. It supports, beside DES crypt and MD5, passwords with blowfish
 encryption.
 .
 This package contains the header files and static libraries, which are
 necessary to develop your own software using libxcrypt.

Package: libxcrypt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Crypt library for DES, MD5, and blowfish
 Libxcrypt is a replacement for libcrypt, which comes with the GNU C
 Library. It supports DES crypt, MD5, and passwords with blowfish
 encryption.
