=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
ftp://ftp.suse.com/pub/people/kukuk/libxcrypt/libxcrypt-(.*)\.tar\.bz2 \
  debian uupdate
