=== debian/control ===
Source: libxcrypt
Section: admin
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 9.20160403~), dh-autoreconf,
  autoconf, automake, libtool, pkg-config,
Standards-Version: 4.1.5
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/md/libxcrypt.git
Vcs-Browser: https://salsa.debian.org/md/libxcrypt

Package: libcrypt1
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcrypt shared library
 libxcrypt is a modern library for one-way hashing of passwords.
 It supports DES, MD5, NTHASH, SUNMD5, SHA-2-256, SHA-2-512, and
 bcrypt-based password hashes
 It provides the traditional Unix 'crypt' and 'crypt_r' interfaces,
 as well as a set of extended interfaces like 'crypt_gensalt'.

Package: libcrypt2
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcrypt shared library
 libxcrypt is a modern library for one-way hashing of passwords.
 It supports DES, MD5, NTHASH, SUNMD5, SHA-2-256, SHA-2-512, and
 bcrypt-based password hashes
 It provides the traditional Unix 'crypt' and 'crypt_r' interfaces,
 as well as a set of extended interfaces like 'crypt_gensalt'.

Package: libcrypt1-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrypt1 (= ${binary:Version})
Conflicts: libcrypt2-dev
Description: libcrypt development files
 This package contains the files needed for developing applications that
 use libcrypt.

Package: libcrypt2-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrypt2 (= ${binary:Version})
Conflicts: libcrypt1-dev
Description: libcrypt development files
 This package contains the files needed for developing applications that
 use libcrypt.

Package: libcrypt1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcrypt shared library
 This is a minimal version of libcrypt, only for use in the installation
 system.
