## libxcrypt 4.4.10

=== debian/changelog ===
libxcrypt (1:4.4.10-10ubuntu4) focal; urgency=medium

  * Use libdir=/lib instead of libdir=/usr/lib to ensure that the file paths
    as seen by dpkg are the same between libc and libcrypt and Replaces:
    correctly take over these files on the system, without risk of the files
    later being removed by dpkg on upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Mar 2020 16:24:31 +0000

libxcrypt (1:4.4.10-10ubuntu3) focal; urgency=medium

  * Add an autopkg test to run the tests with the install library.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 09:55:32 +0100

libxcrypt (1:4.4.10-10ubuntu2) focal; urgency=medium

  * Adjust Breaks/Replaces for libc*.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2020 10:28:00 +0100

libxcrypt (1:4.4.10-10ubuntu1) focal; urgency=medium

  * No-change rebuild to restore i386 binaries.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 07:53:13 +0100

libxcrypt (1:4.4.10-10) unstable; urgency=high

  * Re-upload source-only.

 -- Marco d'Itri <md@linux.it>  Wed, 01 Jan 2020 15:23:32 +0100

libxcrypt (1:4.4.10-9) unstable; urgency=medium

  * Rename the library to libcrypt.so.1.1 on alpha and ia64.
    (Closes: #947606)
  * Exclude debian/libcrypt-dev/ from libxcrypt-source.

 -- Marco d'Itri <md@linux.it>  Sun, 29 Dec 2019 01:05:43 +0100

libxcrypt (1:4.4.10-8) unstable; urgency=medium

  * Rename libcrypt1-dev to libcrypt-dev. (Closes: #946563)

 -- Marco d'Itri <md@linux.it>  Fri, 27 Dec 2019 23:51:08 +0100

libxcrypt (1:4.4.10-7) unstable; urgency=medium

  * Build a libxcrypt-source package to help bootstrapping the
    cross-toolchains.

  [ Steve McIntyre ]
  * Force libcrypt1-udeb to not depend on libc6-udeb. (Closes: #946856)

 -- Marco d'Itri <md@linux.it>  Tue, 17 Dec 2019 00:39:11 +0100

libxcrypt (1:4.4.10-5) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Fri, 06 Dec 2019 12:00:54 +0100

libxcrypt (1:4.4.10-4) experimental; urgency=medium

  * Added architecture-dependant symbol files.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Nov 2019 02:25:53 +0100

libxcrypt (1:4.4.10-3) experimental; urgency=medium

  * Re-upload with the orig.tar.xz.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 23:15:20 +0100

libxcrypt (1:4.4.10-2) experimental; urgency=medium

  * Update the Breaks/Replaces for libc*. (See #941853.)
  * Use dh --reload-all-buildenv-variables because the udeb is built
    with different flags.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 22:33:38 +0100

libxcrypt (1:4.4.10-1) experimental; urgency=medium

  * New upstream release.
  * Add proper Breaks/Replaces for libc* and manpages-dev.
  * Build again the udeb.
  * Move the libraries from /lib/ to /usr/lib/

 -- Marco d'Itri <md@linux.it>  Thu, 10 Oct 2019 01:21:17 +0200

libxcrypt (1:4.4.8-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Sep 2019 01:15:59 +0200

libxcrypt (1:4.4.6-3) experimental; urgency=medium

  * Re-upload with the orig.tar.xz.

 -- Marco d'Itri <md@linux.it>  Tue, 23 Jul 2019 17:26:10 +0200

libxcrypt (1:4.4.6-2) experimental; urgency=medium

  * Remove the build profiles because DAK does not support them.

 -- Marco d'Itri <md@linux.it>  Tue, 23 Jul 2019 16:23:33 +0200

libxcrypt (1:4.4.6-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 06 May 2019 00:17:33 +0200

libxcrypt (1:4.4.4-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 06 Mar 2019 00:02:44 +0100

libxcrypt (1:4.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Use build profiles to control which packages will be built.
  * Stop building the udeb for the time being.

 -- Marco d'Itri <md@linux.it>  Sat, 26 Jan 2019 04:25:24 +0100

libxcrypt (1:4.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Dec 2018 00:52:32 +0100

libxcrypt (1:4.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 10 Dec 2018 15:23:08 +0100

libxcrypt (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 04 Dec 2018 18:24:58 +0100

libxcrypt (1:4.3.4-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 17 Nov 2018 01:25:49 +0100

libxcrypt (1:4.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Stop building libcrypt2, because currently it does not provide anything
    that is not in libcrypt1.
  * Build libcrypt1 for experimental.
    Since the transition from glibc has not yet been arranged, the packages
    must be installed with "dpkg --force-breaks -i".

 -- Marco d'Itri <md@linux.it>  Sun, 11 Nov 2018 15:43:11 +0100

libxcrypt (1:4.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 10 Nov 2018 21:49:28 +0100

libxcrypt (1:4.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Oct 2018 18:25:56 +0200

libxcrypt (1:4.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 24 Oct 2018 14:26:00 +0200

libxcrypt (1:4.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Sep 2018 14:46:00 +0200

libxcrypt (1:4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Sep 2018 11:05:35 +0200
