=== debian/tests/control ===
Tests: testsuite
Depends: @
Restrictions: build-needed, allow-stderr
