## libxcrypt 4.4.16

=== debian/changelog ===
libxcrypt (1:4.4.16-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces for libc*.
  * Dropped changes, included in Debian:
    - Add an autopkgtest to run the tests with the installed library.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 10:15:20 -0700

libxcrypt (1:4.4.16-1) unstable; urgency=medium

  * New upstream release.
  * Rename back the library to libcrypt.so.1 on ia64. (Closes: #953958)
  * Add an autopkg test contributed by Matthias Klose. (Closes: #953538)

 -- Marco d'Itri <md@linux.it>  Sun, 05 Apr 2020 01:12:05 +0200

libxcrypt (1:4.4.15-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces for libc*.
    - Add an autopkg test to run the tests with the install library.
  * Dropped changes, no longer needed:
    - Use libdir=/lib instead of libdir=/usr/lib; the replaces transition
      with libc has completed in focal so the move to /usr/lib can happen
      now.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 06:50:12 -0700

libxcrypt (1:4.4.15-1) unstable; urgency=medium

  * New upstream release.
  * Add a symbols file for nios2. (Closes: #952650)

 -- Marco d'Itri <md@linux.it>  Fri, 28 Feb 2020 20:32:59 +0100
