=== debian/rules ===
--- 
+++ 
@@ -102,12 +102,6 @@
 	cd $D && echo $(shell sed -re 's#^/##' $(CURDIR)/debian/libcrypt-dev.files) | xargs echo rm -rf
 endif
 	rm $D/usr/lib/*/*.la
-	mkdir -p $D/lib/$(DEB_HOST_MULTIARCH)
-	mv $D/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.* $D/lib/$(DEB_HOST_MULTIARCH)/
-	for so in $(DD)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so; do \
-		ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink -f $$so)) \
-			$$so; \
-	done
 	rmdir --parents --ignore-fail-on-non-empty \
 		$$(find $D -type d -empty) $$(find $(DD) -type d -empty)
 endif
