## libxcrypt 4.4.17

=== debian/changelog ===
libxcrypt (1:4.4.17-1ubuntu3) hirsute; urgency=medium

  * Add the bits for compiling with lto, patch taken from Fedora.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2021 21:45:58 +0100

libxcrypt (1:4.4.17-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:02 +0100

libxcrypt (1:4.4.17-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces for libc*.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Oct 2020 00:22:41 -0700

libxcrypt (1:4.4.17-1) unstable; urgency=medium

  * New upstream release.
    + Allow almost all characters in salts.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Aug 2020 01:51:08 +0200
