=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), debhelper (>= 12.7~),
   autoconf, automake, libtool, pkg-config,
-Standards-Version: 4.4.1.1
+Standards-Version: 4.5.0.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/md/libxcrypt.git
 Vcs-Browser: https://salsa.debian.org/md/libxcrypt
