## libxcrypt 4.4.18

=== debian/changelog ===
libxcrypt (1:4.4.18-4) unstable; urgency=high

  * Move back the .pc file (and also .so and .a) to /usr/lib/ to fix a
    regression introduced by the precedent upload. (Closes: #987130)

 -- Marco d'Itri <md@linux.it>  Mon, 19 Apr 2021 02:46:31 +0200

libxcrypt (1:4.4.18-3) unstable; urgency=high

  [ Ivo De Decker ]
  * Make sure takeover of libcrypt.so.1 from libc6 works correctly on upgrades
    from buster to bullseye (Closes: #974552):
    - Move the library back from /usr/lib/ to /lib/, because that's where it
      was in the old libc6 (Closes: #953562).
    - Remove breaks from libcrypt1, to allow installing libcrypt1 before libc6
      is upgraded.
    - Mark libcrypt1 as Important and Protected, to prevent removal after a
      partial upgrade.

 -- Marco d'Itri <md@linux.it>  Sat, 17 Apr 2021 04:04:04 +0200

libxcrypt (1:4.4.18-2) unstable; urgency=medium

  * Stop depending on libltdl-dev and instead just include in the package
    the relevant part of /usr/share/aclocal/ltdl.m4. (Closes: #985311)
  * Include upstream commit 86d1e4e to fix cross-compilation.
    (Closes: #985372)

 -- Marco d'Itri <md@linux.it>  Sat, 27 Mar 2021 17:11:11 +0100

libxcrypt (1:4.4.18-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 12 Mar 2021 22:59:03 +0100
