=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libxcrypt
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), debhelper (>= 12.7~),
   autoconf, automake, libtool, pkg-config,
 Standards-Version: 4.5.0.3
@@ -12,18 +11,14 @@
 
 Package: libcrypt1
 Section: libs
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks:
- libc6 (<< 2.31),
- libc6.1 (<< 2.29-4) [alpha ia64],
- libc0.1 (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
- libc0.3 (<< 2.29-4) [hurd-i386],
+XB-Important: yes
+Protected: yes
 Replaces:
- libc6 (<< 2.31),
+ libc6 (<< 2.29-4),
  libc6.1 (<< 2.29-4) [alpha ia64],
  libc0.1 (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3 (<< 2.29-4) [hurd-i386],
@@ -36,21 +31,20 @@
 
 Package: libcrypt-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${LIBPKG} (= ${binary:Version})
 Provides: libcrypt1-dev
 Conflicts: libcrypt1-dev, libcrypt2-dev
 Breaks:
- libc6-dev (<< 2.31),
+ libc6-dev (<< 2.29-4),
  libc6.1-dev (<< 2.29-4) [alpha ia64],
  libc0.1-dev (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3-dev (<< 2.29-4) [hurd-i386],
  manpages-dev (<< 5.01-1),
 Replaces:
  libcrypt1-dev, libcrypt2-dev,
- libc6-dev (<< 2.31),
+ libc6-dev (<< 2.29-4),
  libc6.1-dev (<< 2.29-4) [alpha ia64],
  libc0.1-dev (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3-dev (<< 2.29-4) [hurd-i386],
@@ -72,7 +66,6 @@
 Package: libxcrypt-source
 Architecture: all
 Section: devel
-Priority: optional
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: libcrypt shared library: sources
