=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	dh $@ --reload-all-buildenv-variables $(NO_PACKAGE)
 
 override_dh_clean:
-	rm -rf build-*
+	rm -rf build-deb* build-udeb*
 	dh_clean debian/copyright
 
 build-deb1/config.status:
@@ -96,6 +96,11 @@
 	cd build-deb1/ && \
 	$(MAKE) install DESTDIR=$D
 
+	# Move the shared library back to /lib/ because this is where the
+	# libc6 package used to install it (see #953562 for details).
+	mkdir -p $D/lib/$(DEB_HOST_MULTIARCH)
+	mv $D/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypt.so.1* $D/lib/$(DEB_HOST_MULTIARCH)/
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libcrypt.so.1 $D/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypt.so
 ifeq ($(BUILD_DEV_VER), 1)
 	dh_movefiles -plibcrypt-dev --sourcedir=debian/libcrypt1/
 else
