=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/libxcrypt-$1\.tar\.gz/ \
  https://github.com/besser82/libxcrypt/tags .*/v(\d\S+)\.tar\.gz
