## libxcrypt 4.4.25

=== debian/changelog ===
libxcrypt (1:4.4.25-2) unstable; urgency=medium

  * Add a symbols file for arc, contributed by Alexey Brodkin.
    (Closes: #993466)
  * Conflict with older versions of libpam0g which broke support for
    sha-256 hashes with libxcrypt >= 4.4.22. (Closes: #993044)

 -- Marco d'Itri <md@linux.it>  Sat, 04 Sep 2021 01:15:24 +0200

libxcrypt (1:4.4.25-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Aug 2021 08:51:39 +0200

libxcrypt (1:4.4.23-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Jul 2021 00:57:00 +0200

libxcrypt (1:4.4.22-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 May 2021 23:41:16 +0200

libxcrypt (1:4.4.20-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 02 May 2021 00:13:05 +0200

libxcrypt (1:4.4.18-5) unstable; urgency=high

  [ Adrian Bunk ]
  * Fix the libcrypt.so symlink on alpha, broken by 1:4.4.18-4.
    (Closes: #991617)

 -- Marco d'Itri <md@linux.it>  Thu, 29 Jul 2021 00:48:02 +0200
