## libxcrypt 4.4.27

=== debian/changelog ===
libxcrypt (1:4.4.27-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 17 Dec 2021 23:48:21 +0100

libxcrypt (1:4.4.26-1) unstable; urgency=medium

  * New upstream release.
  * Update the symbols file for arc, contributed by Alexey Brodkin.
    (Closes: #993893)

 -- Marco d'Itri <md@linux.it>  Wed, 10 Nov 2021 23:10:26 +0100
