=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 12), debhelper (>= 12.7~),
   autoconf, automake, libtool, pkg-config,
-Standards-Version: 4.5.0.3
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/md/libxcrypt.git
 Vcs-Browser: https://salsa.debian.org/md/libxcrypt
@@ -17,6 +17,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Important: yes
 Protected: yes
+Conflicts: libpam0g (<< 1.4.0-10)
 Replaces:
  libc6 (<< 2.29-4),
  libc6.1 (<< 2.29-4) [alpha ia64],
