=== debian/rules ===
--- 
+++ 
@@ -100,7 +100,11 @@
 	# libc6 package used to install it (see #953562 for details).
 	mkdir -p $D/lib/$(DEB_HOST_MULTIARCH)
 	mv $D/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypt.so.1* $D/lib/$(DEB_HOST_MULTIARCH)/
+ifeq ($(DEB_HOST_ARCH), alpha)
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libcrypt.so.1.1 $D/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypt.so
+else
 	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libcrypt.so.1 $D/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypt.so
+endif
 ifeq ($(BUILD_DEV_VER), 1)
 	dh_movefiles -plibcrypt-dev --sourcedir=debian/libcrypt1/
 else
