## libxcrypt 4.4.28

=== debian/changelog ===
libxcrypt (1:4.4.28-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move back crypt.h of libcrypt1 to the non-multiarch directory because
    it broke the GCC and LLVM multilib builds. (Closes: #1014114)

 -- Marco d'Itri <md@linux.it>  Sun, 10 Jul 2022 21:30:07 +0200

libxcrypt (1:4.4.28-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Enable building for musl-linux-any. (Closes: #1004102)
  * Move crypt.h to the multiarch directory.

  [ Victor Westerhuis ]
  * Actually run the tests when building the package.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Jun 2022 01:12:35 +0200

libxcrypt (1:4.4.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix M-A:same violation in libcrypt-dev by removing --link-doc.
    (Closes: #987781)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 14 Jan 2022 20:10:07 +0100
