=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: libcrypt1
 Section: libs
-Architecture: any
+Architecture: gnu-any-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,18 +30,36 @@
  It provides the traditional Unix 'crypt' and 'crypt_r' interfaces,
  as well as a set of extended interfaces like 'crypt_gensalt'.
 
+Package: libcrypt2
+Section: libs
+Architecture: musl-any-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+XB-Important: yes
+Protected: yes
+Breaks: musl (<< 1:4.4.27-1.2~)
+Replaces: musl (<< 1:4.4.27-1.2~)
+Description: libcrypt shared library
+ libxcrypt is a modern library for one-way hashing of passwords.
+ It supports DES, MD5, NTHASH, SUNMD5, SHA-2-256, SHA-2-512, and
+ bcrypt-based password hashes
+ It provides the traditional Unix 'crypt' and 'crypt_r' interfaces,
+ as well as a set of extended interfaces like 'crypt_gensalt'.
+
 Package: libcrypt-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${LIBPKG} (= ${binary:Version})
-Provides: libcrypt1-dev
+Provides: ${LIBPKG}-dev
 Conflicts: libcrypt1-dev, libcrypt2-dev
 Breaks:
  libc6-dev (<< 2.29-4),
  libc6.1-dev (<< 2.29-4) [alpha ia64],
  libc0.1-dev (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3-dev (<< 2.29-4) [hurd-i386],
+ musl-dev (<< 1:4.4.27-1.2~) [musl-any-any],
  manpages-dev (<< 5.01-1),
 Replaces:
  libcrypt1-dev, libcrypt2-dev,
@@ -49,6 +67,7 @@
  libc6.1-dev (<< 2.29-4) [alpha ia64],
  libc0.1-dev (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3-dev (<< 2.29-4) [hurd-i386],
+ musl-dev (<< 1:4.4.27-1.2~) [musl-any-any],
  manpages-dev (<< 5.01-1),
 Description: libcrypt development files
  This package contains the files needed for developing applications that
@@ -57,7 +76,7 @@
 Package: libcrypt1-udeb
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: gnu-any-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: libcrypt shared library
