## libxcrypt 4.4.33

=== debian/changelog ===
libxcrypt (1:4.4.33-2) unstable; urgency=medium

  * Fix the loong64 architecture name. (Closes: #1027262)

 -- Marco d'Itri <md@linux.it>  Fri, 06 Jan 2023 23:57:37 +0100

libxcrypt (1:4.4.33-1) unstable; urgency=medium

  * New upstream release.
  * Add a symbols file for loon64 (LoongArch).

 -- Marco d'Itri <md@linux.it>  Fri, 18 Nov 2022 22:38:21 +0100

libxcrypt (1:4.4.30-1) unstable; urgency=medium

  * New upstream release.
  * Update again the Breaks with musl-dev. (Closes: #1017820)

 -- Marco d'Itri <md@linux.it>  Wed, 02 Nov 2022 23:13:39 +0100
