=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper-compat (= 12), debhelper (>= 12.7~),
+Build-Depends: debhelper-compat (= 13),
   autoconf, automake, libtool, pkg-config,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/md/libxcrypt.git
 Vcs-Browser: https://salsa.debian.org/md/libxcrypt
@@ -38,8 +38,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Important: yes
 Protected: yes
-Breaks: musl (<< 1:4.4.27-1.2~)
-Replaces: musl (<< 1:4.4.27-1.2~)
+Breaks: musl (<< 1.2.2-2~)
+Replaces: musl (<< 1.2.2-2~)
 Description: libcrypt shared library
  libxcrypt is a modern library for one-way hashing of passwords.
  It supports DES, MD5, NTHASH, SUNMD5, SHA-2-256, SHA-2-512, and
@@ -59,7 +59,7 @@
  libc6.1-dev (<< 2.29-4) [alpha ia64],
  libc0.1-dev (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3-dev (<< 2.29-4) [hurd-i386],
- musl-dev (<< 1:4.4.27-1.2~) [musl-any-any],
+ musl-dev (<< 1.2.2-2~) [musl-any-any],
  manpages-dev (<< 5.01-1),
 Replaces:
  libcrypt1-dev, libcrypt2-dev,
@@ -67,7 +67,7 @@
  libc6.1-dev (<< 2.29-4) [alpha ia64],
  libc0.1-dev (<< 2.29-4) [kfreebsd-amd64 kfreebsd-i386],
  libc0.3-dev (<< 2.29-4) [hurd-i386],
- musl-dev (<< 1:4.4.27-1.2~) [musl-any-any],
+ musl-dev (<< 1.2.2-2~) [musl-any-any],
  manpages-dev (<< 5.01-1),
 Description: libcrypt development files
  This package contains the files needed for developing applications that
