=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 
 DOPACKAGES := $(shell dh_listpackages)
 BUILD_TARGETS :=
@@ -31,21 +32,16 @@
 
 CONFFLAGS = --disable-werror --prefix=/usr \
   --disable-xcrypt-compat-files --enable-obsolete-api=glibc
-CONFFLAGS_deb  = $(CONFFLAGS) \
+CONFFLAGS_deb1  = $(CONFFLAGS) \
   $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+bindnow" \
     dpkg-buildflags --export=configure || true) \
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+CONFFLAGS_deb2 = $(subst api=glibc,api=no,$(CONFFLAGS_deb1)) \
+  --includedir=/usr/include/$(DEB_HOST_MULTIARCH)
 CONFFLAGS_udeb = $(CONFFLAGS) \
   $(subst -O2,-Os -fomit-frame-pointer,$(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" \
     dpkg-buildflags --export=configure || true)) \
   --libdir=/usr/lib
-
-##############################################################################
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version | sed -e 's/.*://' -e 's/[+-].*//')
-
-SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
 
 ##############################################################################
 %:
@@ -56,11 +52,11 @@
 	dh_clean debian/copyright
 
 build-deb1/config.status:
-	dh_auto_configure --builddir=build-deb1 -- $(CONFFLAGS_deb)
+	dh_auto_configure --builddir=build-deb1 -- $(CONFFLAGS_deb1)
 	sh debian/patch_libtool build-deb1
 
 build-deb2/config.status:
-	dh_auto_configure --builddir=build-deb2 -- $(subst api=glibc,api=no,$(CONFFLAGS_deb))
+	dh_auto_configure --builddir=build-deb2 -- $(CONFFLAGS_deb2)
 
 build-udeb/config.status:
 	dh_auto_configure --builddir=build-udeb -- $(CONFFLAGS_udeb)
@@ -84,10 +80,10 @@
 
 override_dh_auto_test:
 ifdef BUILD_DEB1
-	dh_auto_test --builddir=build-deb1
+	dh_auto_test --builddir=build-deb1 -- check
 else
 ifdef BUILD_DEB2
-	dh_auto_test --builddir=build-deb2
+	dh_auto_test --builddir=build-deb2 -- check
 endif
 endif
 
@@ -146,16 +142,8 @@
 		--owner=root --group=root --numeric-owner \
 		| tar xf - -C $(DS)/usr/src/libxcrypt/
 
-override_dh_installdocs:
+execute_before_dh_installdocs:
 	cat debian/copyright.in LICENSING > debian/copyright
-	dh_installdocs -plibcrypt-dev --link-doc=libcrypt$(BUILD_DEV_VER)
-ifdef BUILD_DEB1
-	dh_installdocs -plibcrypt1
-endif
-ifdef BUILD_DEB2
-	dh_installdocs -plibcrypt2
-endif
-	dh_installdocs -plibxcrypt-source
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog NEWS
